title: Page
tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              display: Title
              validate:
                - required
          -
            handle: content
            field:
              type: bard
              display: Content
              smart_typography: true
  cover:
    display: Cover
    sections:
      -
        fields:
          -
            handle: cover_type
            field:
              type: select
              display: 'Cover Type'
              options:
                image: Image
                video: Video
              default: image
          -
            handle: cover_image
            field:
              type: assets
              container: assets
              max_files: 1
              display: 'Cover Image'
          -
            handle: cover_video
            field:
              type: text
              display: 'Cover Video URL'
              instructions: 'Paste a Vimeo URL or direct mp4 URL'
  meta:
    display: Meta
    sections:
      -
        fields:
          -
            handle: likes_count
            field:
              type: integer
              display: 'Likes Count'
              default: 0
          -
            handle: seo_description
            field:
              type: text
              display: 'SEO Description'
              character_limit: 160
          -
            handle: theme_color_1
            field:
              type: color
              display: 'Theme Color 1'
          -
            handle: theme_color_2
            field:
              type: color
              display: 'Theme Color 2'
  sidebar:
    display: Sidebar
    sections:
      -
        fields:
          -
            handle: slug
            field:
              type: slug
              localizable: true
              validate: 'max:200'
          -
            handle: banner_image
            field:
              container: assets
              max_files: 1
              type: assets
              display: 'Banner Image'
          -
            handle: banner_link
            field:
              type: link
              display: 'Banner Link'
